Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.execute
Class DefaultRequestQueueManager

    java.lang.Object
      org.deegree.ogcwebservices.wps.execute.DefaultRequestQueueManager

All Implemented Interfaces:
  RequestQueueManager

    public class DefaultRequestQueueManager

extends Object
implements RequestQueueManager

DefaultRequestQueueManager.java Created on 24.03.2006. 19:50:08h

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier

Constructor Summary
`DefaultRequestQueueManager()`

Method Summary
`boolean` | `addRequestToQueue(ExecuteRequest executeRequest)`
`int` | `getLengthOfQueue()`
`ExecuteRequest` | `getRequestFromQueue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRequestQueueManager

    public DefaultRequestQueueManager()

Method Detail

### addRequestToQueue

    public boolean addRequestToQueue(ExecuteRequest executeRequest)
                              throws OGCWebServiceException

  Specified by:
    `addRequestToQueue` in interface `RequestQueueManager`
  Returns:
    true if request was added to queue
  Throws:
    `OGCWebServiceException`

### getRequestFromQueue

    public ExecuteRequest getRequestFromQueue()
                                       throws OGCWebServiceException

  Specified by:
    `getRequestFromQueue` in interface `RequestQueueManager`
  Returns:
    next request from queue
  Throws:
    `OGCWebServiceException`

### getLengthOfQueue

    public int getLengthOfQueue()
                         throws OGCWebServiceException

  Specified by:
    `getLengthOfQueue` in interface `RequestQueueManager`
  Returns:
    length of the queue
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org